aboutsummaryrefslogtreecommitdiff
path: root/scripts/ci/build_ppc64el.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/ci/build_ppc64el.sh')
-rwxr-xr-xscripts/ci/build_ppc64el.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/ci/build_ppc64el.sh b/scripts/ci/build_ppc64el.sh
new file mode 100755
index 000000000..984481bb5
--- /dev/null
+++ b/scripts/ci/build_ppc64el.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -e
+
+export TARGET_ARCH=powerpc64le-linux-gnu
+if [ "${CC#clang}" != "${CC}" ] ; then
+ export CC="clang --target=${TARGET_ARCH}"
+ export CXX="clang++ --target=${TARGET_ARCH}"
+ # DPDK clang build broken
+ export CONF="${CONF} --disable-dpdk"
+else
+ export CC="${TARGET_ARCH}-gcc"
+ export CXX="${TARGET_ARCH}-g++"
+fi
+export CPPFLAGS="-I/usr/include/${TARGET_ARCH}/dpdk"
+
+# Use target libraries
+export PKG_CONFIG_PATH=
+export PKG_CONFIG_LIBDIR=/usr/lib/${TARGET_ARCH}/pkgconfig
+
+exec "$(dirname "$0")"/build.sh